// CirclePoints.h -- functions to calculate points on a circle.
// @author Eric Laroche
// @version @(#)$Id: CirclePoints.h,v 1.3 1998/05/20 10:13:43 laroche Exp $


#ifndef CirclePoints_h
#define CirclePoints_h


// point
struct CirclePoint
{
	double x;
	double y;
};


class CirclePoints
{

public :
	CirclePoints(int n); // get a circle representation with n edges
	~CirclePoints();
private :
	CirclePoints(); // no default constructor allowed

public :
	void getpoints(CirclePoint* buf, double scale); // fill buf with points
	static int hint(int n); // hint for optimal number of points

private :
	int edges; // edges
	CirclePoint* points; // calculated points
	CirclePoint* cache; // cached points from last call to getpoints()
	double cachescale; // scale of last getpoints()
};


#endif
