// EpGlassProfile.h -- functions to describe the profile of a glass.
// @author Eric Laroche
// @version @(#)$Id: EpGlassProfile.h,v 1.2 1998/05/20 08:55:02 laroche Exp $


#ifndef EpGlassProfile_h
#define EpGlassProfile_h


#include "GlassProfile.h"


class EpGlassProfile : public GlassProfile
{

public :
	EpGlassProfile(
		double FootRadius,
		double MinimalStemRadius,
		double StemLength,
		double MaximalCupRadius,
		double LowerCupLength,
		double OpeningRadius,
		double UpperCupLength);

public :
	double length(); // glass length
	double radius(); // maximal glass radius
	double profile(double z); // profile (i.e. radius depending on the 'z coordinate)

private :
	double Stem(double z); // stem
	double LowerCup(double z); // lower part
	double UpperCup(double z); // upper part

private :
	double FootRadius;
	double MinimalStemRadius;
	double StemLength;
	double MaximalCupRadius;
	double LowerCupLength;
	double OpeningRadius;
	double UpperCupLength;

};


#endif
