// IsoGlassProfile.cc -- functions to describe the profile of an ISO 3591-1977 glass.
// @author Eric Laroche
// @version @(#)$Id: IsoGlassProfile.cc,v 1.3 1998/05/20 08:55:30 laroche Exp $
//
// IsoGlassProfile.cc -- functions to describe the profile of an ISO 3591-1977 glass.
// Copyright (C) 1998 Eric Laroche.
//
// This program is free software;
// you can redistribute it and/or modify it.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


#include "IsoGlassProfile.h"


IsoGlassProfile::IsoGlassProfile() :
	// ISO 3591-1977 glass parameters, millimeters
	EpGlassProfile(
		32.5, // FootRadius
		4.5, // MinimalStemRadius
		55, // StemLength
		32.5, // MaximalCupRadius, ==foot radius
		32.5, // LowerCupLength, ==maximal cup radius
		23, // OpeningRadius
		67.5) // UpperCupLength, ==100-lower cup length
{
}
